net.sf.jasperreports.components

## Class ComponentsXmlWriter

- java.lang.Object
- - net.sf.jasperreports.components.AbstractComponentXmlWriter
  - - net.sf.jasperreports.components.ComponentsXmlWriter

- All Implemented Interfaces:
    ComponentXmlWriter

      public class ComponentsXmlWriter
      extends AbstractComponentXmlWriter

  XML writer for built-in component implementations.
  Version:
    $Id: ComponentsXmlWriter.java 6802 2014-01-09 11:38:46Z shertage $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `ComponentsExtensionsRegistryFactory`

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.components.AbstractComponentXmlWriter

      `jasperReportsContext, PROPERTY_COMPONENTS_PREFIX, PROPERTY_COMPONENTS_VERSION_SUFFIX, versionComparator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentsXmlWriter(JasperReportsContext jasperReportsContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isBarcode4jName(java.lang.String name)`
    `boolean` | `isToWrite(JRComponentElement componentElement, JRXmlWriter reportWriter)` Specifies whether this component should be written out.
    `protected void` | `writeBarbecue(JRComponentElement componentElement, JRXmlWriter reportWriter)`
    `protected void` | `writeGroupCells(JRComponentElement componentElement, java.util.List<GroupCell> cells, java.lang.String name, JRXmlWriter reportWriter)`
    `protected void` | `writeList(JRComponentElement componentElement, JRXmlWriter reportWriter)`
    `protected void` | `writeMap(JRComponentElement componentElement, JRXmlWriter reportWriter)`
    `protected void` | `writeTable(JRComponentElement componentElement, JRXmlWriter reportWriter)`
    `protected void` | `writeTableCell(JRComponentElement componentElement, Cell cell, java.lang.String name, JRXmlWriter reportWriter)`
    `void` | `writeToXml(JRComponentElement componentElement, JRXmlWriter reportWriter)` Outputs the XML representation of a component.

    - ### Methods inherited from class net.sf.jasperreports.components.AbstractComponentXmlWriter

      `getVersion, isNewerVersionOrEqual, isOlderVersionThan, writeExpression, writeExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentsXmlWriter

          public ComponentsXmlWriter(JasperReportsContext jasperReportsContext)

  - ### Method Detail

    - #### writeToXml

          public void writeToXml(JRComponentElement componentElement,
                        JRXmlWriter reportWriter)
                          throws java.io.IOException

      Description copied from interface: `ComponentXmlWriter`
      Outputs the XML representation of a component.
      Parameters:
        `componentElement` - the component element
        `reportWriter` - the report writer to which output is to be written
      Throws:
        `java.io.IOException` - exceptions produced while writing to the output stream
      See Also:
        `ComponentKey.getNamespacePrefix()`, `JRXmlWriter.getXmlWriteHelper()`

    - #### writeList

          protected void writeList(JRComponentElement componentElement,
                       JRXmlWriter reportWriter)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeBarbecue

          protected void writeBarbecue(JRComponentElement componentElement,
                           JRXmlWriter reportWriter)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeMap

          protected void writeMap(JRComponentElement componentElement,
                      JRXmlWriter reportWriter)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeTable

          protected void writeTable(JRComponentElement componentElement,
                        JRXmlWriter reportWriter)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeGroupCells

          protected void writeGroupCells(JRComponentElement componentElement,
                             java.util.List<GroupCell> cells,
                             java.lang.String name,
                             JRXmlWriter reportWriter)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeTableCell

          protected void writeTableCell(JRComponentElement componentElement,
                            Cell cell,
                            java.lang.String name,
                            JRXmlWriter reportWriter)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### isToWrite

          public boolean isToWrite(JRComponentElement componentElement,
                          JRXmlWriter reportWriter)

      Description copied from interface: `ComponentXmlWriter`
      Specifies whether this component should be written out. This is useful for versioning.

    - #### isBarcode4jName

          protected boolean isBarcode4jName(java.lang.String name)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com